"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Banner = void 0;
const react_native_paper_1 = require("react-native-paper");
const react_1 = __importStar(require("react"));
const context_1 = require("../context/context");
const banner_1 = require("../data/banner");
const segment_1 = __importDefault(require("../utils/segment"));
const segmentEvents_1 = require("../data/segmentEvents");
const react_native_1 = require("react-native");
const react_native_flash_message_1 = require("react-native-flash-message");
//import Icon from "react-native-vector-icons/Feather";
//import AntIcon from "react-native-vector-icons/AntDesign";
const color_1 = require("../data/color");
const Banner = ({ onClose, onPress, }) => {
    const [detail, setDetail] = (0, react_1.useState)();
    const { EMAIL, userDetail } = (0, context_1.useLMS)();
    const theme = (0, react_native_paper_1.useTheme)();
    const status = (0, react_1.useMemo)(() => {
        let contractUrl, contractValid, reason;
        if (detail) {
            contractUrl = detail.kyb?.facilities.filter((d) => d.status === "contract_pending")[0]?.envelope_url;
            contractValid = detail.kyb?.facilities.filter((d) => d.status === "contract_valid");
            reason = detail.kyb?.statuses?.filter((d) => d.status === "rejected");
        }
        return {
            contractUrl,
            contractValid,
            reason: reason && reason.length > 0 ? reason[0].reason : "",
        };
    }, [detail]);
    (0, react_1.useEffect)(() => {
        if (!EMAIL) {
            (0, react_native_flash_message_1.showMessage)({ message: "Email is required", type: "danger" });
        }
        else {
            setDetail(userDetail);
        }
    }, [EMAIL, userDetail]);
    const Render = ({ data, color, disabled, event, }) => {
        return (react_1.default.createElement(react_native_1.View, { style: {
                ...styles.financeContainer,
                backgroundColor: color,
            } },
            react_1.default.createElement(react_native_1.View, { style: styles.wrapper },
                react_1.default.createElement(react_native_paper_1.Icon, { source: "clock", size: 25, color: color }),
                react_1.default.createElement(react_native_1.View, { style: styles.flexCol },
                    react_1.default.createElement(react_native_paper_1.Text, { variant: "bodyMedium" }, data.title),
                    react_1.default.createElement(react_native_paper_1.Text, { variant: "bodySmall" }, data.description),
                    data.actionTitle && (react_1.default.createElement(react_1.default.Fragment, null,
                        react_1.default.createElement(react_native_paper_1.Button, { disabled: !!disabled, mode: "contained", onPress: () => {
                                onPress?.({
                                    type: data.type,
                                    contractUrl: status.contractUrl || "",
                                });
                            } }, data.actionTitle))))),
            react_1.default.createElement(react_native_1.View, { style: {
                    ...styles.flexRow,
                    alignSelf: "flex-start",
                    alignItems: "flex-start",
                } },
                data.actionTitle && (react_1.default.createElement(react_native_paper_1.Button, { mode: "contained", disabled: !!disabled, onPress: () => {
                        if (event) {
                            segment_1.default.track(event);
                        }
                        onPress?.({
                            type: data.type,
                            contractUrl: status.contractUrl || "",
                        });
                    } }, data.actionTitle)),
                react_1.default.createElement(react_native_1.TouchableOpacity, { onPress: () => {
                        onClose?.();
                    } },
                    react_1.default.createElement(react_native_paper_1.Icon, { source: "close", size: 25 })))));
    };
    return (react_1.default.createElement(react_1.default.Fragment, null, detail && (react_1.default.createElement(react_1.default.Fragment, null,
        !detail.kyb && (react_1.default.createElement(Render, { data: (0, banner_1.BANNER_DATA)().REGISTER, color: color_1.COLOR.info })),
        detail.kyb && detail.kyb.status === "pending" && (react_1.default.createElement(Render, { data: (0, banner_1.BANNER_DATA)().PENDING, color: color_1.COLOR.warning })),
        detail.kyb &&
            detail.kyb.status === "approved" &&
            status.contractValid?.length === 0 && (react_1.default.createElement(Render, { data: (0, banner_1.BANNER_DATA)(undefined, !status.contractUrl
                ? "You will receive contract soon"
                : "Review and sign contract").APPROVED, color: color_1.COLOR.info, disabled: !status.contractUrl, event: segmentEvents_1.SEGMENT_EVENTS.CLICK_SIGN_CONTRACT })),
        detail.kyb && detail.kyb.status === "rejected" && (react_1.default.createElement(Render, { data: (0, banner_1.BANNER_DATA)(status?.reason).REJECTED, color: color_1.COLOR.error, event: segmentEvents_1.SEGMENT_EVENTS.CLICK_KYC_REGISTRATION }))))));
};
exports.Banner = Banner;
const styles = {
    financeContainer: {
        display: "flex",
        flexDirection: "row",
        width: "100%",
        padding: 12,
        flexWrap: "nowrap",
        alignItems: "center",
        justifyContent: "space-between",
        marginBottom: 5,
    },
    buttonWrapper: {
        display: "flex",
        flexDirection: "row",
    },
    gap: {
        width: 8,
        height: 8,
    },
    wrapper: {
        flexDirection: "column",
    },
    flexRow: {
        display: "flex",
        flexDirection: "row",
    },
    flexCol: {
        display: "flex",
        flexDirection: "column",
    },
};
