import React from "react";
import { type AxiosInstance } from "axios";
import type { IBusiness } from "../typings/business";
import type { ThemeProp } from "react-native-paper/src/types";
type LMSContextProps = {
    TOKEN: string;
    BASE_URL: string;
    axiosInstance: AxiosInstance;
    EMAIL?: string;
    setEmail?(email: string): void;
    userDetail?: IBusiness;
};
type Props = {
    children: React.ReactNode;
    token: string;
    base_url: string;
    theme?: "light" | "dark";
    palette?: ThemeProp;
    email?: string;
};
export declare const LMSProvider: React.FC<Props>;
export declare const useLMS: () => LMSContextProps;
export {};
