"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.useLMS = exports.LMSProvider = void 0;
const react_1 = __importStar(require("react"));
const App_1 = require("../App");
const axios_1 = __importDefault(require("axios"));
const segment_1 = __importDefault(require("../utils/segment"));
const react_native_paper_1 = require("react-native-paper");
const theme_1 = require("../theme");
const LMSContext = react_1.default.createContext({});
const LMSProvider = ({ children, token, base_url, theme = "light", palette, email,
//fonts,
 }) => {
    const [userEmail, setUserEmail] = (0, react_1.useState)(email);
    const [userDetail, setUserDetail] = (0, react_1.useState)();
    const axiosInstance = axios_1.default.create({
        baseURL: base_url,
        headers: {
            Authorization: `Bearer ${token}`,
        },
    });
    const fetchData = (0, react_1.useCallback)(async () => {
        try {
            const { data } = await axios_1.default.get(`${base_url}v1/external-lending/sme/users?email=${userEmail}`, {
                headers: {
                    Authorization: `Bearer ${token}`,
                },
            });
            setUserDetail(data);
            segment_1.default.identify(data.kyb.id);
        }
        catch (e) {
            //
        }
    }, [base_url, token, userEmail]);
    const value = (0, react_1.useMemo)(() => {
        return {
            TOKEN: token,
            BASE_URL: base_url,
            axiosInstance: axiosInstance,
            EMAIL: userEmail,
            setEmail: (email) => setUserEmail(email),
            userDetail: userDetail,
        };
    }, [token, base_url, axiosInstance, userEmail, userDetail]);
    (0, react_1.useEffect)(() => {
        if (userEmail) {
            fetchData();
        }
        else if (userEmail === "") {
            setUserDetail(undefined);
        }
    }, [userEmail, fetchData]);
    return (react_1.default.createElement(LMSContext.Provider, { value: value },
        react_1.default.createElement(react_native_paper_1.PaperProvider, { theme: palette ? palette : theme === "light" ? theme_1.lightTheme : theme_1.darkTheme },
            react_1.default.createElement(App_1.App, { theme: theme, palette: palette }, children))));
};
exports.LMSProvider = LMSProvider;
const useLMS = () => (0, react_1.useContext)(LMSContext);
exports.useLMS = useLMS;
