"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.convertCamelCaseToTitleCase = exports.isImageFileExtension = exports.getFileExtension = void 0;
const getFileExtension = (filename = '') => {
    return filename.split('.').pop() || '';
};
exports.getFileExtension = getFileExtension;
const isImageFileExtension = (filename = '') => {
    const extension = (0, exports.getFileExtension)(filename);
    return ['jpg', 'jpeg', 'png', 'gif', 'bmp', 'webp'].includes(extension);
};
exports.isImageFileExtension = isImageFileExtension;
const convertCamelCaseToTitleCase = (inputString) => {
    const spacedWords = inputString.replace(/([a-z])([A-Z])/g, '$1 $2');
    return spacedWords.replace(/\b\w/g, function (match) {
        return match.toUpperCase();
    });
};
exports.convertCamelCaseToTitleCase = convertCamelCaseToTitleCase;
