"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useAppErrors = void 0;
const react_native_flash_message_1 = require("react-native-flash-message");
const getAllErrors_1 = require("../helpers/getAllErrors");
const react_1 = require("react");
// Going to update soon
const useAppErrors = () => {
    const [errors, setErrors] = (0, react_1.useState)({ errors: [] });
    const [actions, setActions] = (0, react_1.useState)();
    const transformDotNotationObject = (obj) => {
        const result = {};
        for (const key in obj) {
            if (Object.prototype.hasOwnProperty.call(obj, key)) {
                const value = obj[key];
                const keys = key.split(".");
                let currentObj = result;
                for (let i = 0; i < keys.length - 1; i++) {
                    const nestedKey = keys[i];
                    if (!currentObj[nestedKey]) {
                        currentObj[nestedKey] = {};
                    }
                    currentObj = currentObj[nestedKey];
                }
                currentObj[keys[keys.length - 1]] = value;
            }
        }
        return result;
    };
    (0, react_1.useEffect)(() => {
        const { fieldErrors, messageErrors } = (0, getAllErrors_1.getAllErrors)(errors);
        actions?.setErrors(transformDotNotationObject(fieldErrors));
        messageErrors.map((err) => (0, react_native_flash_message_1.showMessage)({ message: err.message, type: "danger" }));
    }, [actions, errors]);
    const setAppError = (0, react_1.useCallback)((e, formikAction) => {
        setErrors(e);
        setActions(formikAction);
    }, []);
    return { setAppError };
};
exports.useAppErrors = useAppErrors;
