"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.FinanceAppState = exports.BusinessSegmentType = exports.LoanType = exports.Platform = exports.Product = exports.PaymentMethod = exports.DestinationType = exports.TransactionStatus = exports.TransactionType = void 0;
var TransactionType;
(function (TransactionType) {
    TransactionType["DISBURSEMENT"] = "disbursement";
    TransactionType["REPAYMENT"] = "repayment";
    TransactionType["LATE_FEE"] = "late_fee";
    TransactionType["MARKUP"] = "markup";
})(TransactionType || (exports.TransactionType = TransactionType = {}));
var TransactionStatus;
(function (TransactionStatus) {
    TransactionStatus["PROCESSING"] = "processing";
    TransactionStatus["REJECTED"] = "rejected";
    TransactionStatus["APPROVED"] = "approved";
    TransactionStatus["PAID"] = "paid";
    TransactionStatus["CANCELLED"] = "cancelled";
})(TransactionStatus || (exports.TransactionStatus = TransactionStatus = {}));
var DestinationType;
(function (DestinationType) {
    DestinationType["BANK"] = "bank";
    DestinationType["CASH"] = "cash";
    DestinationType["ECOFIN"] = "ecofin";
    DestinationType["CHEQUE"] = "cheque";
})(DestinationType || (exports.DestinationType = DestinationType = {}));
var PaymentMethod;
(function (PaymentMethod) {
    PaymentMethod["BANK_TRANSFER"] = "bank_transfer";
    PaymentMethod["CASH_VIA_FSO"] = "cash_via_fso";
    PaymentMethod["ONE_BILL"] = "one_bill";
    PaymentMethod["ONLINE_CASH_DEPOSIT"] = "online_cash_deposit";
    PaymentMethod["CLEARING_CHEQUE_DEPOSIT"] = "clearing_cheque_deposit";
})(PaymentMethod || (exports.PaymentMethod = PaymentMethod = {}));
var Product;
(function (Product) {
    Product["MOBILE_APP"] = "mobile_app";
    Product["WEB_APP"] = "web_app";
})(Product || (exports.Product = Product = {}));
var Platform;
(function (Platform) {
    Platform["MOBILE"] = "mobile";
    Platform["WEB"] = "web";
    Platform["RP_MOBILE_APP"] = "rp_mobile_app";
})(Platform || (exports.Platform = Platform = {}));
var LoanType;
(function (LoanType) {
    LoanType["FIXED"] = "fixed";
    LoanType["FLOATING"] = "floating";
    LoanType["DAILY"] = "daily";
})(LoanType || (exports.LoanType = LoanType = {}));
var BusinessSegmentType;
(function (BusinessSegmentType) {
    BusinessSegmentType["SME"] = "sme";
    BusinessSegmentType["MSME"] = "msme";
})(BusinessSegmentType || (exports.BusinessSegmentType = BusinessSegmentType = {}));
var FinanceAppState;
(function (FinanceAppState) {
    // initial states
    FinanceAppState["IN_PROGRESS"] = "in_progress";
    FinanceAppState["UNDER_REVIEW"] = "under_review";
    // intermediate - set by admin
    FinanceAppState["REVISION_REQUESTED"] = "revision_requested";
    FinanceAppState["AWAITING_LM_APPROVAL"] = "awaiting_lm_approval";
    FinanceAppState["AWAITING_ADMIN_APPROVAL"] = "awaiting_admin_approval";
    FinanceAppState["APPROVED"] = "approved";
    FinanceAppState["READY_TO_DISBURSE"] = "ready_to_disburse";
    FinanceAppState["DISBURSED"] = "disbursed";
    FinanceAppState["OVERDUE"] = "overdue";
    FinanceAppState["DEFAULT"] = "default";
    // terminal
    FinanceAppState["REJECTED"] = "rejected";
    FinanceAppState["COMPLETED"] = "completed";
})(FinanceAppState || (exports.FinanceAppState = FinanceAppState = {}));
