import React from "react";

import FlashMessage from "react-native-flash-message";

type AppProps = {
  children: React.ReactNode;
  palette?: any;
  theme?: "light" | "dark";
  fonts?: string[];
};

export const App: React.FC<AppProps> = ({
  children,
  palette,
  theme = "light",
  fonts,
}) => {
  return (
    <>
      {children}
      <FlashMessage position="top" />
    </>
  );
};
